[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TLoadBitmapFunction

Specifies a function called to load a bitmap image from the specified file or resource and return the handle for the image.

## Declaration

Source position: interfacebase.pp line 220

`type TLoadBitmapFunction = function(`
`hInstance: TLCLHandle;`
`lpBitmapName: PChar`
`):HBITMAP;`

## Arguments

`hInstance` |  | Handle for the resource where the specified bitmap is stored.
`lpBitmapName` |  | Name for the bitmap loaded in the routine.

## Function result

HBitmap handle for the bitmap image loaded in the routine.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type in the hInstance parameter.

## See also

LoadBitmapFunction |  | Variable with the function called to load a bitmap from a specified file or resource and return its handle.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.